Loading...
Searching...
No Matches
itk::BinaryANNTreeSearchBase< TListSample > Class Template Reference
Common » ANNwrap

`#include <itkBinaryANNTreeSearchBase.h>`

## Detailed Description

template<class TListSample>
class itk::BinaryANNTreeSearchBase< TListSample >

Definition at line 38 of file itkBinaryANNTreeSearchBase.h.

Inheritance diagram for itk::BinaryANNTreeSearchBase< TListSample >:
[legend]

## Public Types

using | ANNDistanceArrayType = ANNdistArray
using | ANNDistanceType = ANNdist
using | ANNIndexArrayType = ANNidxArray
using | ANNIndexType = ANNidx
using | ANNPointType = ANNpoint
using | BinaryANNTreeType = BinaryANNTreeBase<ListSampleType>
using | BinaryTreePointer
using | BinaryTreeType
using | ConstPointer = SmartPointer<const Self>
using | DistanceArrayType
using | IndexArrayType
using | ListSampleType
using | MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | Self = BinaryANNTreeSearchBase
using | Superclass = BinaryTreeSearchBase<TListSample>
Public Types inherited from itk::BinaryTreeSearchBase< TListSample >
using | BinaryTreePointer = typename BinaryTreeType::Pointer
using | BinaryTreeType = BinaryTreeBase<ListSampleType>
using | ConstPointer = SmartPointer<const Self>
using | DistanceArrayType = Array<double>
using | IndexArrayType = Array<int>
using | ListSampleType = TListSample
using | MeasurementVectorType = typename BinaryTreeType::MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | Self = BinaryTreeSearchBase
using | Superclass = Object

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (BinaryANNTreeSearchBase)
void | SetBinaryTree (BinaryTreeType *tree) override
Public Member Functions inherited from itk::BinaryTreeSearchBase< TListSample >
const BinaryTreeType * | GetBinaryTree () const
virtual unsigned int | GetKNearestNeighbors () const
| ITK_DISALLOW_COPY_AND_MOVE (BinaryTreeSearchBase)
virtual void | Search (const MeasurementVectorType &qp, IndexArrayType &ind, DistanceArrayType &dists)=0
virtual void | SetKNearestNeighbors (unsigned int _arg)

## Protected Member Functions

| BinaryANNTreeSearchBase ()
| ~BinaryANNTreeSearchBase () override=default
Protected Member Functions inherited from itk::BinaryTreeSearchBase< TListSample >
| BinaryTreeSearchBase ()
| ~BinaryTreeSearchBase () override=default

## Protected Attributes

BinaryANNTreeType::Pointer | m_BinaryTreeAsITKANNType {}
Protected Attributes inherited from itk::BinaryTreeSearchBase< TListSample >
BinaryTreePointer | m_BinaryTree {}
unsigned int | m_DataDimension {}
unsigned int | m_KNearestNeighbors {}

## Member Typedef Documentation

## ANNDistanceArrayType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::ANNDistanceArrayType = ANNdistArray

Definition at line 65 of file itkBinaryANNTreeSearchBase.h.

## ANNDistanceType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::ANNDistanceType = ANNdist

Definition at line 64 of file itkBinaryANNTreeSearchBase.h.

## ANNIndexArrayType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::ANNIndexArrayType = ANNidxArray

Definition at line 63 of file itkBinaryANNTreeSearchBase.h.

## ANNIndexType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::ANNIndexType = ANNidx

Definition at line 62 of file itkBinaryANNTreeSearchBase.h.

## ANNPointType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::ANNPointType = ANNpoint

Typedefs from ANN.

Definition at line 61 of file itkBinaryANNTreeSearchBase.h.

## BinaryANNTreeType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::BinaryANNTreeType = BinaryANNTreeBase<ListSampleType>

An itk ANN tree.

Definition at line 68 of file itkBinaryANNTreeSearchBase.h.

## BinaryTreePointer

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::BinaryTreePointer

Definition at line 56 of file itkBinaryTreeSearchBase.h.

## BinaryTreeType

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::BinaryTreeType

Definition at line 55 of file itkBinaryTreeSearchBase.h.

## ConstPointer

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::ConstPointer = SmartPointer<const Self>

Definition at line 47 of file itkBinaryANNTreeSearchBase.h.

## DistanceArrayType

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::DistanceArrayType

Definition at line 59 of file itkBinaryTreeSearchBase.h.

## IndexArrayType

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::IndexArrayType

Definition at line 58 of file itkBinaryTreeSearchBase.h.

## ListSampleType

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::ListSampleType

Typedef's.

Definition at line 54 of file itkBinaryTreeSearchBase.h.

## MeasurementVectorType

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::MeasurementVectorType

Definition at line 57 of file itkBinaryTreeSearchBase.h.

## Pointer

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::Pointer = SmartPointer<Self>

Definition at line 46 of file itkBinaryANNTreeSearchBase.h.

## Self

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::Self = BinaryANNTreeSearchBase

Standard itk.

Definition at line 44 of file itkBinaryANNTreeSearchBase.h.

## Superclass

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::Superclass = BinaryTreeSearchBase<TListSample>

Definition at line 45 of file itkBinaryANNTreeSearchBase.h.

## Constructor & Destructor Documentation

## BinaryANNTreeSearchBase()

template<class TListSample>

itk::BinaryANNTreeSearchBase< TListSample >::BinaryANNTreeSearchBase | ( |  | ) |

protected

## ~BinaryANNTreeSearchBase()

template<class TListSample>

itk::BinaryANNTreeSearchBase< TListSample >::~BinaryANNTreeSearchBase | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<class TListSample>

virtual const char * itk::BinaryANNTreeSearchBase< TListSample >::GetClassName | ( |  | ) | const

virtual

ITK type info.

Reimplemented from itk::BinaryTreeSearchBase< TListSample >.

Reimplemented in itk::ANNFixedRadiusTreeSearch< TListSample >, itk::ANNFixedRadiusTreeSearch< ListSampleType >, itk::ANNPriorityTreeSearch< TListSample >, itk::ANNPriorityTreeSearch< ListSampleType >, itk::ANNStandardTreeSearch< TListSample >, and itk::ANNStandardTreeSearch< ListSampleType >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TListSample>

itk::BinaryANNTreeSearchBase< TListSample >::ITK_DISALLOW_COPY_AND_MOVE | ( | BinaryANNTreeSearchBase< TListSample > |  | ) |

## SetBinaryTree()

template<class TListSample>

void itk::BinaryANNTreeSearchBase< TListSample >::SetBinaryTree | ( | BinaryTreeType * | tree | ) |

override virtual

Set and get the binary tree.

Reimplemented from itk::BinaryTreeSearchBase< TListSample >.

## Field Documentation

## m_BinaryTreeAsITKANNType

template<class TListSample>

BinaryANNTreeType::Pointer itk::BinaryANNTreeSearchBase< TListSample >::m_BinaryTreeAsITKANNType {}

protected

Member variables.

Definition at line 81 of file itkBinaryANNTreeSearchBase.h.

Generated on 1768596610 for elastix by 1.15.0 |